- Docs
- REST API
- Basic Data
- Market Status
Market Status
Query the current market status of a specified country or region, returning whether the market is open, status, trading sessions, timezone, and local time.
Market Status Query
GET
/market/statusRequest Parameters
codeenumRequiredCountry/Region code
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
cstringCountry/Region code
rstringCountry/Region name
ostringWhether the market is open
sstringMarket status; `PRE_MARKET` Pre-market, `OPEN` Market open, `LUNCH_BREAK` Lunch break, `POST_MARKET` Post-market, `CLOSED` Non-trading hours, `CLOSED_WEEKEND` Weekend closed, `CLOSED_HOLIDAY` Holiday closed, `HOLIDAY_HALF_DAY` Half-day holiday trading
hstringHoliday name of the day, only available when `status = CLOSED_HOLIDAY / HOLIDAY_HALF_DAY`
tstringTrading session configuration
zstringTimezone code
lstringCurrent local time in the region, format `yyyy-MM-dd HH:mm:ss`
Code Examples
import requests
url = "https://api.itick.org/market/status?code=HK"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/market/status?code=HK, Run query
Response Result
{
"code": 0,
"msg": "ok",
"data": {
"c": "es",
"r": "Spain",
"o": false,
"s": "CLOSED_WEEKEND",
"h": null,
"t": "08:00-09:00,09:00-17:30,",
"z": "Europe/Madrid",
"l": "2026-07-05 18:47:44"
}
}